# Class TranslationProviderFactory

java.lang.Object
org.eclipse.e4.core.services.translation.TranslationProviderFactory

public final class TranslationProviderFactory extends Object
Factory for translation providers.

Since:
  1.2

## Method Summary

Modifier and Type
Method
Description
`static TranslationService`
`bundleTranslationService(IEclipseContext context)`
Returns default bundle-based translation provider.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### bundleTranslationService

public static TranslationService bundleTranslationService(IEclipseContext context)
Returns default bundle-based translation provider.

Parameters:
  `context` - the context for the translation provider
Returns:
  bundle-based translation provider